decimal32

A 32-bit decimal floating-point value. More...

`#include <decimal.hpp>`

Inheritance diagram for decimal32:
[legend]
Collaboration diagram for decimal32:
[legend]

## Public Member Functions

Array operators
value_type * | begin ()
const value_type * | begin () const
value_type * | end ()
const value_type * | end () const
value_type & | operator[] (size_t i)
const value_type & | operator[] (size_t i) const

## Static Public Member Functions

static size_t | size ()
| Size of the array.

## Sequence container typedefs

typedef uint8_t | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef value_type * | iterator
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
const typedef value_type * | const_pointer
const typedef value_type & | const_reference
const typedef value_type * | const_iterator

## Detailed Description

A 32-bit decimal floating-point value.

The documentation for this class was generated from the following file:

- proton/decimal.hpp